Package org.bukkit.material

# Class Furnace

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.DirectionalContainer
org.bukkit.material.FurnaceAndDispenser
org.bukkit.material.Furnace

All Implemented Interfaces:
  `Cloneable`, `Directional`

@Deprecated public class Furnace extends FurnaceAndDispenser
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
Represents a furnace.

## Constructor Summary

Constructors
Constructor
Description
`Furnace()`
Deprecated.
`Furnace(BlockFace direction)`
Deprecated.
Instantiate a furnace facing in a particular direction.
`Furnace(Material type)`
Deprecated.
`Furnace(Material type, byte data)`
Deprecated.
Magic value

## Method Summary

Modifier and Type
Method
Description
`Furnace`
`clone()`
Deprecated.

### Methods inherited from class org.bukkit.material.DirectionalContainer

`getFacing, setFacingDirection, toString`

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Furnace

public Furnace()
Deprecated.

### Furnace

public Furnace(BlockFace direction)
Deprecated.
Instantiate a furnace facing in a particular direction.

Parameters:
  `direction` - the direction the furnace's "opening" is facing

### Furnace

public Furnace(Material type)
Deprecated.

### Furnace

@Deprecated public Furnace(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

## Method Details

### clone

public Furnace clone()
Deprecated.

Overrides:
  `clone` in class `FurnaceAndDispenser`